Алексей Романов (Все сообщения пользователя)

Выбрать дату в календареВыбрать дату в календаре

Страницы: Пред. 1 2 3 4 5 6 7 8 9 10 11 12 ... 117 След.
Оформление чертежа зубчатой передачи
[QUOTE]Кузнецов Виктор Афанасьевич пишет:
Возможно ли оформление чертежа зубчатой передачи[/QUOTE][QUOTE]Кузнецов Виктор Афанасьевич пишет:
согласно ГОСТ со всеми линиями[/QUOTE]Возможно, примерно на 99,9%)))
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
[QUOTE]Ondatr5 пишет:
Дык у тела грани не удаляются...[/QUOTE]Опять двадцать пять((( Смотри пост #13! Спецом скрин привел с деревом, там кроме тел ничего нет, грани удаляются на ура(((...
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
[QUOTE]Ondatr5 пишет:
Тогда применил к телу команду Поверхность=>Исправить тела.[/QUOTE]А зачем применять этот режим? Чтобы потом бороться с чем-то?)) Не проще просто напрямую удалять грани?...
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
[QUOTE]Ondatr5 пишет:
Это уже инвенторный файл, там все - тела.[/QUOTE]Это вопрос? Чем меньше тел, тем проще Инвентору замкнуть поверхности...
sel3.png (58.39 КБ)
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
[QUOTE]Ondatr5 пишет:
Есть ли способ попроще?[/QUOTE]Способ чего? При чем тут производный компонент??? Открываете файл stp напрямую и работаете с ним... Как уж можно проще то? Я ж спецом дерево показал... :|
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
[QUOTE]Ondatr5 пишет:
Грани данный макрос выбирает, но у тела удалить грани нельзя.[/QUOTE]Почему? Очень даже можно. На скрине без замыкания...
Запускаете макрос, далее Удалить грань, в окне сразу ОК...
sel2j.jpg (222.54 КБ)
Изменено: Алексей Романов - 31.10.2016 15:30:41
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
Здесь это уже было, в двух словах...
1. Открываем редактор VBA (скрин vba1), двойной клик на Module1 откроет окно кода, копируем туда с этого сайта код макроса, закрываем редактор...
2. На ленте ПКМ -> Адаптация пользовательских команд... (скрин vba2). Выбираем раздел Макросы, выделяем нужный макрос, переносим в правую часть (кнопка >>), жмем применить, на ленте появится кнопка запуска макроса.
Открываем наш файл, кнопкой запускаем макрос...
vba1.png (116.74 КБ)
vba2.png (133.26 КБ)
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
[QUOTE]Ondatr5 пишет:
У меня 2012й, более новые версии машина не тянет.[/QUOTE]Попробуй это:[CODE]Public Sub SelectByColor()

Dim oObject As Object
Set oObject = ThisApplication.CommandManager.Pick(kPartFaceFilter, "Укажите грань с нужным цветом")

Dim fasecolor As String
fasecolor = oObject.GetRenderStyle(kFeatureRenderStyle).Name

Dim oCompDef As PartComponentDefinition
Set oCompDef = ThisApplication.ActiveDocument.ComponentDefinition

Dim sSel As SelectSet
Set sSel = ThisApplication.ActiveDocument.SelectSet
If sSel.Count > 0 Then sSel.Clear

Dim oSels As ObjectCollection
Set oSels = ThisApplication.TransientObjects.CreateObjectCollection

Dim Body As SurfaceBody
Dim i As Long: i = 0
Dim fase As Face
For Each Body In oCompDef.SurfaceBodies
  For Each fase In Body.Faces
       If fase.GetRenderStyle(kFeatureRenderStyle).Name = fasecolor Then
           i = i + 1
           oSels.Add fase
       End If
   Next
Next

sSel.SelectMultiple oSels
MsgBox "Выбрано " & i & " граней"

End Sub
[/CODE][QUOTE]Ondatr5 пишет:
А стандарными командами инвентора никак не обойтись? Или у него функции выбора граней по цвету и т.д. нету?[/QUOTE]Нет такого, до сих пор не требовалось))))
sel1.png (113.03 КБ)
Изменено: Алексей Романов - 30.10.2016 08:38:58
Выбор всех граней тела (поверхности) по цвету - это возможно?, Как быбрать объекты (подобъекты) по нужному признаку?
Попробуй этот макрос на VBA. Только он для АИ2014 и выше. Перебор идет долго (до минуты), жди окна как на скрине...
Макрос попросит указать грань, потом к ней добавит остальные с этим же цветом...[CODE]Public Sub SelectbyColor()

Dim oObject As Object
Set oObject = ThisApplication.CommandManager.Pick(kPartFaceFilter, "Укажите грань с нужным цветом")

Dim fasecolor As String
fasecolor = oObject.appearance.DisplayName

Dim oCompDef As PartComponentDefinition
Set oCompDef = ThisApplication.ActiveDocument.ComponentDefinition

Dim sSel As SelectSet
Set sSel = ThisApplication.ActiveDocument.SelectSet
If sSel.Count > 0 Then sSel.Clear

Dim oSels As ObjectCollection
Set oSels = ThisApplication.TransientObjects.CreateObjectCollection

Dim Body As SurfaceBody
Dim i As Long: i = 0
Dim fase As Face
For Each Body In oCompDef.SurfaceBodies
  For Each fase In Body.Faces
       If fase.appearance.DisplayName = fasecolor Then
           i = i + 1
           oSels.Add fase
       End If
   Next
Next

sSel.SelectMultiple oSels
MsgBox "Выбрано " & i & " граней"

End Sub
[/CODE]
sel.png (74.36 КБ)
Изменено: Алексей Романов - 29.10.2016 20:09:31
Экспорт STP и IGES с гладкой поверхностью
[QUOTE]a.potapov пишет:
Как сделать плавные переходы поверхностей? [/QUOTE]Может скинешь на ф/о одну детальку в исходном формате (если есть), а то так трудно что-либо советовать...
Экспорт STP и IGES с гладкой поверхностью
[QUOTE]v b пишет:
И когда открываешь акадовский dxf в Инвенторе, явно видишь эту огранку...((([/QUOTE]А в какой проге делается dxf? Я делаю dxf в Инвенторе для плазмы и гидры, никаких нареканий...)))
Экспорт STP и IGES с гладкой поверхностью
[QUOTE]v b пишет:
Тем не менее, на лазере, режущем по dxf-моделям от автокад, возникают такие вибрации из-за апроксимации длинных дуг сотнями отрезков,[/QUOTE]Че за лазер такой, который апроксимирует дуги отрезками? В коде dxf файла дуги описываются дугами, просто Акад дуги отрисовывает на экране отрезками, но это технология такая у Доски, тут [b]sloter[/b] прав. Код dxf файла сами смотрели?
Вопросы от новичка, Последовательность проектирования
[QUOTE]v b пишет:
А если быстро надо, то и с "хвостами" [/QUOTE]Рисую, когда надо длину дуги гиба проставить, а так да, оставляю с хвостами, их практически не видно на твердой копии, иногда рисую из-за "красивости" (см. скрин выше)...)))
Изменено: Алексей Романов - 31.10.2016 16:06:35
Вопросы от новичка, Последовательность проектирования
[QUOTE]v b пишет:
Попробуйте создать новый стиль маркера центра "БезХвоста"[/QUOTE]Так же пытался ставить сотку, на дугах хвосты все равно висят(((
cen1.png (9.36 КБ)
Вопросы от новичка, Последовательность проектирования
[QUOTE]Yuriy73 пишет:
но это сами понимаете не удобно.[/QUOTE]А в чем неудобство? Не понимаю, построение занимает около минуты, пощелкать мышкой, поставить два размера, иногда это единственный вариант, так как часто для труб бывает нужно проставлять длину дуги...
А что должен делать скриптик, если не секрет?
Вопросы от новичка, Последовательность проектирования
[QUOTE]Yuriy73 пишет:
Не могу сделать монолитную ось. Это можно исправить?[/QUOTE]Хвосты убрать для меня не вариант, поэтому просто рисую...)))
На виде создаю эскиз, проецирую контур, смещением (произвольно) создаю осевую, вытаскиваю хвосты, проецирую один из торцев, зависимость совмещения средней точки и осевой. Через формат задается толщина и тип линий. При изменении размеров в модели осевая подстраивается...
Может кто придумает лучше)))
cen.png (6.7 КБ)
Вопросы от новичка, Последовательность проектирования
[QUOTE]sof07 пишет:
Естькакое нибудь заимствование геометрии, или что то еще, что бы не отрисовывать ее с нуля?[/QUOTE]Как минимум, два варианта:
1. Через многотел, в детали с отсеком моделите крышку отдельным телом. Потом крышку можно сделать отдельной деталью...
2. В детали с отсеком создаете эскиз, проецируете туда нужную геометрию. Создаете новую деталь, через производный компонент затаскиваете в нее этот эскиз...
ИМХО адаптивность (моделить в контексте сборки) хуже...
Изменено: Алексей Романов - 31.10.2016 05:37:41
Из Ilogic на VBA
[QUOTE]kvint62 пишет:
Есть правило на Ilogic, что нужно поменять, чтобы можно было его запустить на VBA?[/QUOTE]Примерно так (если еще актуально):[CODE]Dim d_Doc As DrawingDocument
Set d_Doc = ThisApplication.ActiveDocument

Dim dView As DrawingView
Set dView = d_Doc.ActiveSheet.DrawingViews(1)
Dim pDoc As Document
Set pDoc = dView.ReferencedDocumentDescriptor.ReferencedDocument

Dim props As PropertySets
Set props = pDoc.PropertySets

Dim dn, dd As String
dn = props("Design Tracking Properties").Item("Part Number").value
dd = props("Design Tracking Properties").Item("Description").value

Dim iProperties As PropertySets
Set iProperties = d_Doc.PropertySets
If iProperties("Design Tracking Properties").Item("Part Number").value <> dn Then
   iProperties("Design Tracking Properties").Item("Part Number").value = dn
End If

dn = dn + props("Inventor Summary Information").Item("Subject").value + Chr(160) + Chr(149) + Chr(160) + dd
If d_Doc.DisplayName <> dn Then d_Doc.DisplayName = dn[/CODE]
Изменено: Алексей Романов - 30.10.2016 13:57:20
Автоматическое преобразование спланов в отрезки, Способ безболезненного переноса объекта из CorelDRAW в Autodesk Inventor
Открыл файл dwg в Акаде, фигуры из сплайнов преобразовал в области (Рисование -> Область), через буфер закинул в эскиз АИ (2016), вроде выдавил)))...
corel.png (158.22 КБ)
Автоматическое преобразование спланов в отрезки, Способ безболезненного переноса объекта из CorelDRAW в Autodesk Inventor
[QUOTE]AAA.Norilsk пишет:
Пробовал. После вставки в Inventor замкнутого сплайна, он дробится на множество мелких сплайнов. Появляются точки (отрезки) с разрывами, которые не видно (при увеличении). [/QUOTE]Все правильно, разрывов не видно, НО в Акаде (и некоторых других прогах) идентичность точек задается точностью вычислений (например, расстояние между точками меньше 0,000001). В АИ такого понятия нет, там явно задается совпадение точек, отсюда все проблемы... Может можно посмотреть исходный файл (после корела)?... Токо не депозит, просто хочется реально помочь...
Страницы: Пред. 1 2 3 4 5 6 7 8 9 10 11 12 ... 117 След.